ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package util
  Definition Classes
    adam
- ADAMShell
- AttributeUtils
- FileExtensions
- GenomeFileReader
- IndexedFastaFile
- ParquetFileTraversable
- ParquetLogger
- PhredUtils
- ReferenceFile
- ReferenceMap
- ReferenceMapSerializer
- SequenceDictionaryReader
- TextRddWriter
- TwoBitFile
- TwoBitFileSerializer

o

org.bdgenomics.adam.util

# AttributeUtils 

###

#### object AttributeUtils

AttributeUtils is a utility object for parsing optional fields from a BAM file, or the attributes column from an ADAM file.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AttributeUtils
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val arrayRegex: Regex
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val attrRegex: Regex
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
8.  def convertSAMTagAndValue(attr: SAMTagAndValue): Attribute

   Converts an htsjdk SAM Tag/Value into an ADAM attribute.

   Converts an htsjdk SAM Tag/Value into an ADAM attribute.

   attr

     htsjdk tag/value pair containing a tag value with a known type.

   returns

     Returns an Attribute instance.

9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
17.  def parseAttribute(encoded: String): Attribute

    Extract the Attribute value from the corresponding String fragment stored in the Read.attributes field.

    Extract the Attribute value from the corresponding String fragment stored in the Read.attributes field.

    encoded

      A three-part ':'-separated string, containing [attrTuple]:[type]:[value]

    returns

      An Attribute value which has the three, extracted and correctly-typed parts of the encoded argument.

    Exceptions thrown

      `IllegalArgumentException` if the encoded string doesn't conform to the required regular expression ([A-Z]{2}:[AifZHB]:[\t]+)

18.  def parseAttributes(tagStrings: String): Seq[Attribute]

    Parses a tab-separated string of attributes (tag:type:value) into a Seq of Attribute values.

    Parses a tab-separated string of attributes (tag:type:value) into a Seq of Attribute values.

    tagStrings

      The String to be parsed

    returns

      The parsed Attributes

19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from AnyRef

### Inherited from Any

### Ungrouped